# Generated from family-rails-1.0.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name family-rails

Name: rubygem-%{gem_name}
Version: 1.0.8
Release: 1%{?dist}
Summary: Use family.scss by Lucas Bonomi @LukyVj in a Rails project
License: MIT
URL: https://github.com/pzi/family-rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rails) >= 3.1
# BuildRequires: rubygem(rails) < 5
BuildArch: noarch

%description
family.scss is a set of Sass mixins which will help you to manage the style of
:nth-child'ified elements, in an easy way. This gem allows you to easily
import family.scss into your Rails project.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/update_from_vendor.sh
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/family-rails.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.8-1
- Initial package
